import request from '@/utils/request'

// 商品仓储订单列表
export function apiWarehouseOrderLists(params: any) {
    return request.get({ url: '/warehouse_order/warehouseorder/lists', params })
}

// 添加商品仓储订单
export function apiWarehouseOrderAdd(params: any) {
    return request.post({ url: '/warehouse_order/warehouseorder/add', params })
}

// 添加出库单
export function apiWarehouseOrderOutbound(params: any) {
    return request.post({ url: '/warehouse_order/warehouseorder/outbound', params })
}
// 编辑商品仓储订单
export function apiWarehouseOrderEdit(params: any) {
    return request.post({ url: '/warehouse_order/warehouseorder/edit', params })
}

// 删除商品仓储订单
export function apiWarehouseOrderDelete(params: any) {
    return request.post({ url: '/warehouse_order/warehouseorder/delete', params })
}

// 商品仓储订单详情
export function apiWarehouseOrderDetail(params: any) {
    return request.get({ url: '/warehouse_order/warehouseorder/detail', params })
}
// 导出商品仓储入库订单
export function apiWarehouseOrderRentryExport(params: any) {
    return request.post({ url: '/warehouse_order/warehouseorder/rentry_export', params })
}
// 导出商品仓储出库订单
export function apiWarehouseOrderExport(params: any) {
    return request.post({ url: '/warehouse_order/warehouseorder/export', params })
}
